.TH "siggen::Data" 3 "Wed Oct 9 2019" "Version 1.0" "SigGen" \" -*- nroff -*-
.ad l
.nh
.SH NAME
siggen::Data \- provides threading manager with necessary data to work with  

.SH SYNOPSIS
.br
.PP
.PP
\fC#include <Data\&.h>\fP
.SS "Public Attributes"

.in +1c
.ti -1c
.RI "size_t \fBm_BlockSize\fP { 0 }"
.br
.RI "block size specified from options "
.ti -1c
.RI "size_t \fBm_InputFileSize\fP { 0 }"
.br
.RI "file size in bytes "
.ti -1c
.RI "size_t \fBm_InputBlockCount\fP { 0 }"
.br
.RI "block count (number of generated signatures) "
.ti -1c
.RI "uint32_t \fBm_ThreadCount\fP { 0 }"
.br
.RI "thread count "
.ti -1c
.RI "std::unique_ptr< \fBFile\fP > \fBm_InputFile\fP"
.br
.RI "input file (binary) "
.ti -1c
.RI "std::unique_ptr< \fBHashBase\fP > \fBm_Hash\fP"
.br
.RI "signature function "
.in -1c
.SH "Detailed Description"
.PP 
provides threading manager with necessary data to work with 
.PP
Definition at line 12 of file Data\&.h\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for SigGen from the source code\&.
